/**
 * @filename:${entityName}Service ${createTime}
 * @project ${project}  ${version}
 * Copyright(c) 2020 ${author} Co. Ltd. 
 * All right reserved. 
 */
package ${facadeUrl};

import ${entityUrl}.${entityName};
import java.util.LinkedHashMap;
import java.util.List;
import com.ydl.common.dto.BaseDtoResponse;
import com.github.pagehelper.PageInfo;
import com.github.pagehelper.IPage;

/**
 * @Description:TODO(${entityComment}服务层)
 * @version: ${version}
 * @author: ${author}
 * 
 */
public interface ${entityName}Facade {

     public BaseDtoResponse<${entityName}> getById(Long id);


     public BaseDtoResponse<Boolean> deleteById(Long id);


     public BaseDtoResponse<${entityName}> insert(${entityName} entity);


     public BaseDtoResponse<Boolean> update(${entityName} entity);


      public BaseDtoResponse<PageInfo<${entityName}>> getPages(IPage param);
	
}